Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 01-10-09, 09:22 AM   #1
astojanov
Registered User
 
Join Date: Jan 2009
Posts: 4
Default openSuSe 11.1 & NVIDIA 180.22 Driver

Hi guys,

I'll need your help. I have NVidia 8600M GT and I tried to install the newest drivers - 180.22.

I had the previous version: 177.82 and I used:

Code:
sh NVIDIA-Linux-x86-177.82-pkg1.run --uninstall
to remove the previous driver (and unload the nvidia kernel module).

Afterwards I tried to install the new driver, but there was no success. You can see the log file (after running sax2 -r 0=nvidia):

Code:
10-Jan 16:03:21 <X> Logging File contents: /var/log/xlog [
	
	X.Org X Server 1.5.2
	Release Date: 10 October 2008
	X Protocol Version 11, Revision 0
	Build Operating System: openSUSE SUSE LINUX
	Current Operating System: Linux xpsnote 2.6.27.7-9-pae #1 SMP 2008-12-04 18:10:04 +0100 i686
	Build Date: 03 December 2008  09:21:06AM
	 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
	Module Loader present
	Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
	(==) Log file: "/var/log/Xorg.0.log", Time: Sat Jan 10 16:03:18 2009
	(++) Using config file: "/tmp/sax2-13171/xorg.conf"
	(==) ServerLayout "Layout[all]"
	(**) |-->Screen "Screen[0]" (0)
	(**) |   |-->Monitor "Monitor[0]"
	(**) |   |-->Device "Device[0]"
	(**) |-->Input Device "Keyboard[0]"
	(**) |-->Input Device "Mouse[1]"
	(**) |-->Input Device "Mouse[3]"
	(**) Option "ZapWarning" "on"
	(**) Option "AllowMouseOpenFail" "on"
	(==) Automatically adding devices
	(==) Automatically enabling devices
	(WW) The directory "/usr/share/fonts/local" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/PEX" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/latin2/misc" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/latin2/75dpi" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/latin2/100dpi" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/latin2/Type1" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/latin7/75dpi" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/baekmuk" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/japanese" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/kwintv" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/uni" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/CID" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/ucs/misc" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/ucs/75dpi" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/ucs/100dpi" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/hellas/misc" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/hellas/75dpi" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/hellas/100dpi" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/hellas/Type1" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/misc/sgi" does not exist.
	Entry deleted from font path.
	(WW) The directory "/usr/share/fonts/xtest" does not exist.
	Entry deleted from font path.
	(==) Including the default font path /usr/share/fonts/misc:unscaled,/usr/share/fonts/TTF/,/usr/share/fonts/OTF,/usr/share/fonts/Type1/,/usr/share/fonts/100dpi:unscaled,/usr/share/fonts/75dpi:unscaled.
	(**) FontPath set to:
	/usr/share/fonts/misc:unscaled,
	/usr/share/fonts/75dpi:unscaled,
	/usr/share/fonts/100dpi:unscaled,
	/usr/share/fonts/Type1,
	/usr/share/fonts/URW,
	/usr/share/fonts/Speedo,
	/usr/share/fonts/cyrillic,
	/usr/share/fonts/truetype,
	/opt/kde3/share/fonts,
	/usr/share/fonts/misc:unscaled,
	/usr/share/fonts/TTF/,
	/usr/share/fonts/OTF,
	/usr/share/fonts/Type1/,
	/usr/share/fonts/100dpi:unscaled,
	/usr/share/fonts/75dpi:unscaled
	(**) Input device list set to "/dev/gpmdata,/dev/input/mice"
	(==) ModulePath set to "/usr/lib/xorg/modules/updates,/usr/lib/xorg/modules"
	(**) Extension "Composite" is enabled
	(II) Open ACPI successful (/var/run/acpid.socket)
	(II) Loader magic: 0x81f45c0
	(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 4.1
	X.Org XInput driver : 2.1
	X.Org Server Extension : 1.1
	X.Org Font Renderer : 0.6
	(II) Loader running on linux
	(++) using VT number 7
	
	(--) PCI:*(0@1:0:0) unknown vendor (0x10de) unknown chipset (0x0407) rev 161, Mem @ 0xfd000000/0, 0xe0000000/0, 0xfa000000/0, I/O @ 0x0000ef00/0, BIOS @ 0x????????/131072
	(II) System resource ranges:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX[b]
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[b]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[b]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[b]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[b]
	[5] -1	0	0x00000000 - 0x00000000 (0x1) IX[b]
	(II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
	(II) "dbe" will be loaded. This was enabled by default and also specified in the config file.
	(II) "glx" will be loaded. This was enabled by default and also specified in the config file.
	(II) "freetype" will be loaded. This was enabled by default and also specified in the config file.
	(II) "record" will be loaded by default.
	(II) "dri" will be loaded. This was enabled by default and also specified in the config file.
	(II) LoadModule: "dri"
	
	(II) Loading /usr/lib/xorg/modules//extensions/libdri.so
	(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.5.2, module version = 1.0.0
	ABI class: X.Org Server Extension, version 1.1
	(II) Loading extension XFree86-DRI
	(II) LoadModule: "dbe"
	
	(II) Loading /usr/lib/xorg/modules//extensions/libdbe.so
	(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.5.2, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 1.1
	(II) Loading extension DOUBLE-BUFFER
	(II) LoadModule: "freetype"
	
	(II) Loading /usr/lib/xorg/modules//fonts/libfreetype.so
	(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 1.5.2, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.6
	(II) Loading font FreeType
	(II) LoadModule: "extmod"
	
	(II) Loading /usr/lib/xorg/modules//extensions/libextmod.so
	(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.5.2, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 1.1
	(II) Loading extension SHAPE
	(II) Loading extension MIT-SUNDRY-NONSTANDARD
	(II) Loading extension BIG-REQUESTS
	(II) Loading extension SYNC
	(II) Loading extension MIT-SCREEN-SAVER
	(II) Loading extension XC-MISC
	(II) Loading extension XFree86-VidModeExtension
	(II) Loading extension XFree86-Misc
	(II) Loading extension XFree86-DGA
	(II) Loading extension DPMS
	(II) Loading extension TOG-CUP
	(II) Loading extension Extended-Visual-Information
	(II) Loading extension XVideo
	(II) Loading extension XVideo-MotionCompensation
	(II) Loading extension X-Resource
	(II) LoadModule: "glx"
	
	(II) Loading /usr/lib/xorg/modules//extensions/libglx.so
	(II) Module glx: vendor="NVIDIA Corporation"
	compiled for 4.0.2, module version = 1.0.0
	Module class: X.Org Server Extension
	(II) NVIDIA GLX Module  180.22  Tue Jan  6 09:58:42 PST 2009
	(II) Loading extension GLX
	(II) LoadModule: "record"
	
	(II) Loading /usr/lib/xorg/modules//extensions/librecord.so
	(II) Module record: vendor="X.Org Foundation"
	compiled for 1.5.2, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 1.1
	(II) Loading extension RECORD
	(II) LoadModule: "nvidia"
	
	(II) Loading /usr/lib/xorg/modules//drivers/nvidia_drv.so
	(II) Module nvidia: vendor="NVIDIA Corporation"
	compiled for 4.0.2, module version = 1.0.0
	Module class: X.Org Video Driver
	(II) LoadModule: "kbd"
	
	(II) Loading /usr/lib/xorg/modules//input/kbd_drv.so
	(II) Module kbd: vendor="X.Org Foundation"
	compiled for 1.5.2, module version = 1.3.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.1
	(II) LoadModule: "mouse"
	
	(II) Loading /usr/lib/xorg/modules//input/mouse_drv.so
	(II) Module mouse: vendor="X.Org Foundation"
	compiled for 1.5.2, module version = 1.3.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.1
	(II) LoadModule: "synaptics"
	
	(II) Loading /usr/lib/xorg/modules//input/synaptics_drv.so
	(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 1.5.2, module version = 0.15.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.1
	(II) NVIDIA dlloader X Driver  180.22  Tue Jan  6 09:35:46 PST 2009
	(II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
	(II) Primary Device is: PCI 01@00:00:0
	(II) Loading sub module "fb"
	(II) LoadModule: "fb"
	
	(II) Loading /usr/lib/xorg/modules//libfb.so
	(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.5.2, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
	(II) Loading sub module "wfb"
	(II) LoadModule: "wfb"
	
	(II) Loading /usr/lib/xorg/modules//libwfb.so
	(II) Module wfb: vendor="X.Org Foundation"
	compiled for 1.5.2, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
	(II) Loading sub module "ramdac"
	(II) LoadModule: "ramdac"
	(II) Module "ramdac" already built-in
	(II) resource ranges after probing:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX[b]
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[b]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[b]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[b]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[b]
	[5] -1	0	0x00000000 - 0x00000000 (0x1) IX[b]
	(**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
	(==) NVIDIA(0): RGB weight 888
	(==) NVIDIA(0): Default visual is TrueColor
	(==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
	(==) NVIDIA(0): Using HW cursor
	(**) NVIDIA(0): Enabling RENDER acceleration
	(==) NVIDIA(0): Video key set to default value of 0x101fe
	(II) NVIDIA(0): Support for GLX with the Damage and Composite X extensions is
	(II) NVIDIA(0):     enabled.
	Error: API mismatch: the NVIDIA kernel module has version 177.82,
	but this NVIDIA driver component has version 180.22.  Please make
	sure that the kernel module and all NVIDIA driver components
	have the same version.
	(EE) NVIDIA(0): Failed to initialize the NVIDIA kernel module! Please ensure
	(EE) NVIDIA(0):     that there is a supported NVIDIA GPU in this system, and
	(EE) NVIDIA(0):     that the NVIDIA device files have been created properly. 
	(EE) NVIDIA(0):     Please consult the NVIDIA README for details.
	(EE) NVIDIA(0):  *** Aborting ***
	(II) UnloadModule: "nvidia"
	(II) UnloadModule: "wfb"
	(II) UnloadModule: "fb"
	(EE) Screen(s) found, but none have a usable configuration.
	
	Fatal server error:
	no screens found
]
Is it possible that smth is wrong with the driver?

Thanks,
Alen
astojanov is offline   Reply With Quote
Old 01-10-09, 09:28 AM   #2
nevion
Registered User
 
Join Date: Dec 2004
Posts: 74
Default Re: openSuSe 11.1 & NVIDIA 180.22 Driver

You still have 177.82 kernel module installed (nvidia.ko somewhere in /lib/modules/). Delete the nvidia.ko files (there are probably 2) and try again+possibly reinstall driver. Make sure if you ever used the rpms/1 click install that you remove the relevant packages (rpm -qa|grep nvidia should bring up possibles).
nevion is offline   Reply With Quote
Old 01-10-09, 09:28 AM   #3
ambro887
Registered User
 
Join Date: Nov 2007
Posts: 31
Default Re: openSuSe 11.1 & NVIDIA 180.22 Driver

Run "rmmod nvidia" or simply reboot.
ambro887 is offline   Reply With Quote
Old 01-10-09, 09:36 AM   #4
pe1chl
Registered User
 
Join Date: Aug 2003
Posts: 1,026
Default Re: openSuSe 11.1 & NVIDIA 180.22 Driver

Quote:
Originally Posted by astojanov View Post
Hi guys,

I'll need your help. I have NVidia 8600M GT and I tried to install the newest drivers - 180.22.

I had the previous version: 177.82 and I used:

Code:
sh NVIDIA-Linux-x86-177.82-pkg1.run --uninstall
to remove the previous driver (and unload the nvidia kernel module).
That is not a good idea. You better uninstall the old driver the same way you installed it!
(i.e. via YaST, software management, filter Repositories, select NVIDIA repository, untick everything and accept)
pe1chl is offline   Reply With Quote
Old 01-10-09, 10:40 AM   #5
assem046
Registered User
 
Join Date: Dec 2008
Posts: 13
Default Re: openSuSe 11.1 & NVIDIA 180.22 Driver

I have also openSuSe 11.1 with the NVIDIA 180.22 Driver.
Have you checked your xorg.conf. Maybe it's changed.
Before installing a new driver, I always backup that file!
assem046 is offline   Reply With Quote
Old 01-10-09, 01:57 PM   #6
astojanov
Registered User
 
Join Date: Jan 2009
Posts: 4
Default Re: openSuSe 11.1 & NVIDIA 180.22 Driver

Dear all, thank you for the fast replies, but I still have problems:

@assem046
I tried running nvidia-xconfig to generate the new xorg.conf, but I still have the same log file generated from the SaX.

@pe1chl
The drivers were previously removed from YaST and I installed 177.82 manually. Anyways I double checked the YaST and there wasn't any nvidia driver selected.

@ambro887
I tried to do rmmod nvidia, then I did "sax2 -r 0=nvidia", still the same problem. The issue was there even after reboot.

@nevion
I am sure that the module was not loaded into the kernel. Before installing the driver I removed the kernel module (there was nothing after running lsmod | grep nv)

So guys, any other ideas? I think that 8600M GT is not supported in the driver.

Greetings,
Alen
astojanov is offline   Reply With Quote
Old 01-10-09, 02:41 PM   #7
rinthos
Registered User
 
Join Date: May 2004
Posts: 43
Default Re: openSuSe 11.1 & NVIDIA 180.22 Driver

Run Yast2 -> Software Management. Search Nvidia

and remove ALL Nvidia packages.

Then go to runlevel 3 (init 3).
and re-install the latest Nvidia driver:
su
[enter root pword]
sh NVIDIA-Linux-x86-180.22-pkg1.run

Complete the re-install, and init 5

Should be good to go.
rinthos is offline   Reply With Quote
Old 01-10-09, 06:49 PM   #8
nevion
Registered User
 
Join Date: Dec 2004
Posts: 74
Default Re: openSuSe 11.1 & NVIDIA 180.22 Driver

your xorg log says you have an api mismatch and that your kernel module has version is 177.82. So there's some issue with the kernel module it would seem. x can load/unload the module on demand, so that must be snagging the wrong kernel module. When you install 188.22, it will test load that module using insmod or something from where it is built, so that is why installation succeeds.

Try this and post your output.
Code:
find /lib/modules/`uname -r`|grep -i nvidia
This outputs (for me, with 188.22 installed +11.1 oS):
Code:
/lib/modules/2.6.27.7-9-default/kernel/drivers/video/nvidia.ko
/lib/modules/2.6.27.7-9-default/kernel/drivers/video/nvidia
/lib/modules/2.6.27.7-9-default/kernel/drivers/video/nvidia/nvidiafb.ko
/lib/modules/2.6.27.7-9-default/kernel/drivers/video/backlight/mbp_nvidia_bl.ko
and your card is supported...
nevion is offline   Reply With Quote

Old 01-10-09, 06:59 PM   #9
woelfel
Registered User
 
Join Date: Mar 2008
Posts: 7
Default Re: openSuSe 11.1 & NVIDIA 180.22 Driver

I had exactly the same problem. You have to manually remove the following file:
/lib/modules/2.6.27.7-9-default/kernel/drivers/video/nvidia.ko
Then reinstall the NVIDIA 180.22 driver.
For some reason the package manager doesn't remove the file properly, and the NVIDIA shell script doesn't overwrite it. (Also, it's best to remove the nvidia repository...)
woelfel is offline   Reply With Quote
Old 01-11-09, 06:23 AM   #10
BlackMoses
Registered User
 
Join Date: Jan 2009
Posts: 13
Default Re: openSuSe 11.1 & NVIDIA 180.22 Driver

Hi. I've got this same problem. I've uninstalled all nvidia packages, Nvidia old driver (sh driver_name --uninstall). Uninstaller removed nvidia.ko for me so i didnt need to do this manualy.
Installation of new driver (180.22) worked, but when i try "sax2 -r -m 0=nvidia" there is error same as in post astojanov.
BlackMoses is offline   Reply With Quote
Old 01-11-09, 06:33 AM   #11
brucecadieux
Registered User
 
Join Date: Dec 2008
Posts: 78
Default Re: openSuSe 11.1 & NVIDIA 180.22 Driver

Go into Yast, software repositories and remove the nvidia repostitory, then in software manager remove the nvidia drivers.

Now you can install the latest nvidia.run drivers.

If you don't remove the nvidia repository it will keep trying to install the driver from there.
brucecadieux is offline   Reply With Quote
Old 01-11-09, 07:05 AM   #12
BlackMoses
Registered User
 
Join Date: Jan 2009
Posts: 13
Default Re: openSuSe 11.1 & NVIDIA 180.22 Driver

But i have no internet connection during drivers installation and no packages for nvidia installed.
BlackMoses is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
nvidia driver quality decrease? legluondunet NVIDIA Linux 17 06-26-12 10:03 AM
NVIDIA Driver Installation flores.facundo NVIDIA Linux 2 06-24-12 08:37 AM
Need Help Installing NVIDIA Tesla M2070Q in Linux RHEL5 Ferianto85 NVIDIA Linux 0 05-18-12 08:35 PM
Getting the proprietary nvidia driver to run with Debian 3.0 r0 (woody) Katchina404 NVIDIA Linux 9 01-12-03 08:49 AM
nvidia + 2.4.19 gentoo = messed up ulukay NVIDIA Linux 18 11-01-02 11:58 PM

All times are GMT -5. The time now is 07:18 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.